//Master View Component Constructor
function MasterView() {
    //create object instance, parasitic subclass of Observable
    var self = Ti.UI.createView({
        backgroundColor : 'white'
    });

    //some dummy data for our table view
    var tableData = [];
    tableData.push(Ti.UI.createTableViewRow({
        title : 'Apples',
        price : '1.25',
        hasChild : true,
        layout : 'horizontal',
        height : 100,
        color : '#000AAA'
    }));
    tableData[0].add(Ti.UI.createLabel({
        text : 'Apps',
        color : 'red'
    }));
    tableData[0].add(Ti.UI.createImageView({
        image : '/images/copyright.png',
        height : 100,
        width : 100
    }));
    tableData.push(Ti.UI.createTableViewRow({
        title : 'Grapes',
        price : '1.50',
        hasChild : true,
        layout : 'horizontal',
        height : 100,
        color : '#000BBB'
    }));
    tableData[1].add(Ti.UI.createLabel({
        text : 'Gripes',
        color : 'blue'
    }));
    tableData[1].add(Ti.UI.createImageView({
        image : '/images/email.png',
        height : 100,
        width : 100
    }));
    /*
     tableData.push(Ti.UI.createTableViewRow({
     title : 'Oranges',

     img : Ti.UI.createImageView({
     image : '/images/tab2.png'
     }),
     price : '2.50',
     hasChild : true,
     layout : 'horizontal',
     height : 100,
     color : '#000CCC'
     }));
     tableData[2].add(Ti.UI.createLabel({
     text : 'Ors',
     color : 'orange'

     }));
     tableData[2].add(Ti.UI.createImageView({
     image : '/images/phone.png',
     height: 100,
     width: 100
     }));
     tableData.push(Ti.UI.createTableViewRow({
     title : 'Bananas',
     price : '1.60',
     hasChild : true,
     layout : 'horizontal',
     height : 100,
     color : '#000DDD'
     }));
     tableData.push(Ti.UI.createTableViewRow({
     title : 'Pears',
     price : '1.40',
     hasChild : true,
     layout : 'horizontal',
     height : 100,
     color : '#000EEE'
     }));
     tableData.push(Ti.UI.createTableViewRow({
     title : 'Kiwis',
     price : '1.00',
     hasChild : true,
     layout : 'horizontal',
     height : 100,
     color : '#000FFF'
     }));
     */
    function setPriceForRows(rows) {
        for (var i = rows.length - 1; i >= 0; --i) {
            var row = rows[i];
            // Is this a price row?
            row.price = row.price * Math.random() * 2;
        }
    }

    function sortRowsByPrice(rows) {
        rows.sort(comparePrice);
    }

    function comparePrice(a, b) {
        return a.price - b.price;
    }

    var table2Data = [];
    table2Data.push(Ti.UI.createTableViewRow({
        title : 'Apps',
        price : '1.25',
        hasChild : true,
        color : '#000'
    }));
    table2Data.push(Ti.UI.createTableViewRow({
        title : 'Gripes',
        price : '1.50',
        hasChild : true,
        color : '#000'
    }));
    table2Data.push(Ti.UI.createTableViewRow({
        title : 'Ors',
        price : '2.50',
        hasChild : true,
        color : '#000'
    }));
    table2Data.push(Ti.UI.createTableViewRow({
        title : 'Banners',
        price : '1.50',
        hasChild : true,
        color : '#000'
    }));
    table2Data.push(Ti.UI.createTableViewRow({
        title : 'Peers',
        price : '1.40',
        hasChild : true,
        color : '#000'
    }));
    table2Data.push(Ti.UI.createTableViewRow({
        title : 'Kilos',
        price : '1.00',
        hasChild : true,
        color : '#000'
    }));

    var table = Ti.UI.createTableView();
    function printJSON(json) {
        Ti.API.info(JSON.stringify(json, 0, 2));
    }


    Ti.API.info('**** BEFORE ****');
    tableData.forEach(printJSON);
    table.setData(tableData);

    self.add(table);
    self.show();
    Ti.API.info('**** AFTER FIRST SETDATA ****');
    tableData.forEach(printJSON);

    //add behavior
    table.addEventListener('click', function(e) {
        //setPriceForRows(tableData);
        //sortRowsByPrice(tableData);
        table.setData(tableData);
        table.show();
        Ti.API.info('**** AFTER SECOND SETDATA ****');
        tableData.forEach(printJSON);
    });

    return self;
};

module.exports = MasterView;
